<?php

namespace Drupal\entity_reference_patterns\Entity\Form;

use Drupal\Core\Entity\EntityInterface;

/**
 * Provides the entity reference pattern duplicate form.
 */
class PatternDuplicateForm extends PatternEditForm {

  /**
   * {@inheritdoc}
   */
  public function setEntity(EntityInterface $entity) {
    $this->entity = $entity->createDuplicate();
    return $this;
  }

}
