<?php

namespace Drupal\entity_reference_patterns\Routing;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;

class EntityReferencePatternRouteSubscriber extends RouteSubscriberBase {

  public function alterRoutes(RouteCollection $collection) {
    if ($route = $collection->get('system.entity_autocomplete')) {
      $route->setDefault('_controller', '\Drupal\entity_reference_patterns\Controller\EntityAutocompleteController::handleAutocomplete');
    }
  }

}
